package eu.jonahbauer.raytracing.render.spectral.spectrum;

import org.jetbrains.annotations.NotNull;

final class Util {
    private Util() {
        throw new UnsupportedOperationException();
    }

    public static double innerProduct(@NotNull Spectrum f, @NotNull Spectrum g) {
        var integral = 0.0;
        for (var lambda = Spectrum.LAMBDA_MIN; lambda <= Spectrum.LAMBDA_MAX; lambda++) {
            integral += f.get(lambda) * g.get(lambda);
        }
        return integral;
    }
}
